/* Layout */
.flex-spacer {
  flex: 1 1 auto;
}

.center {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.text-at-start {
  text-align: start;
}

.rtl {
  transform: scaleX(-1);
}

.ty-30 {
  transform: translateY(30px);
}

.tt-100 {
  transform: translateY(100px);
}

.ls-2 {
  letter-spacing: 2px;
}
/* Reset */
.p-unset {
  padding: unset;
}

/* Utils */
.btn-border {
  border: var(--ion-color-primary) solid 1px;
}

.img-100 {
  max-width: 100%;
  min-height: 100%;
  max-height: 100%;
  object-fit: contain;
  padding: 3rem;
}

/* Backgrounds & Colors */
.bg-primary {
  background-color: var(--ion-color-primary) !important;
}

.color-primary {
  color: var(--ion-color-primary) !important;
}

.stroke-primary {
  stroke: var(--ion-color-primary) !important;
}

.color-gray {
  color: #888888;
}

/* Font sizes */
.size-10 {
  font-size: 10px;
}

.size-16 {
  font-size: 16px;
}

.size-20 {
  font-size: 20px;
}

.size-25 {
  font-size: 25px;
}

.size-35 {
  font-size: 30px;
}

.size-label {
  font-size: 12px;
}

.size-icon {
  font-size: 16px;
}

ion-alert {
  //-> Material Design
  // checkbox border color
  [aria-checked="true"].sc-ion-alert-md .alert-radio-icon.sc-ion-alert-md {
    border-color: var(--ion-color-primary);
  }

  // checkbox or radio button color
  .alert-radio-inner.sc-ion-alert-md {
    border-color: var(--ion-color-primary);
  }

  // Checked text color
  [aria-checked="true"].sc-ion-alert-md .alert-radio-label.sc-ion-alert-md {
    color: var(--ion-color-primary) !important;
  }

  // Button color
  .alert-button-inner.sc-ion-alert-md {
    color: var(--ion-color-primary);
  }

  //Filling
  [aria-checked="true"].sc-ion-alert-md .alert-radio-inner.sc-ion-alert-md {
    border-color: var(--ion-color-primary);
  }

  .alert-radio-inner.sc-ion-alert-md {
    background-color: var(--ion-color-primary);
  }

  //-> iOS
  // checkbox border color
  [aria-checked="true"].sc-ion-alert-ios .alert-radio-icon.sc-ion-alert-ios {
    border-color: var(--ion-color-primary);
  }

  // checkbox or radio button color
  .alert-radio-inner.sc-ion-alert-ios {
    border-color: var(--ion-color-primary);
  }

  // Checked text color
  [aria-checked="true"].sc-ion-alert-ios .alert-radio-label.sc-ion-alert-ios {
    color: var(--ion-color-primary) !important;
  }

  // Button color
  .alert-button-inner.sc-ion-alert-ios {
    color: var(--ion-color-primary);
  }

  //Tick
  [aria-checked="true"].sc-ion-alert-ios .alert-radio-inner.sc-ion-alert-ios {
    border-color: var(--ion-color-primary);
  }
}

.footer {
  color: #505050;
  font-size: 14px;
}
